package l02_control;

import utilities.InputValue;

public class EnhancedSwitch {

	public static void main (String[] args) {
		int k = InputValue.getInt("k");

		switch (k) {
			case 1 -> System.out.println("One");
			case 2 -> System.out.println("Two");
			case 3 -> System.out.println("Three");
			default -> System.out.println("Default");
		}

		// Equivalent
		System.out.println(
			switch (k) {
				case 1 -> "One";
				case 2 -> "Two";
				case 3 -> "Three";
				default -> "Default";
			}
		);
	}
}
							 
