package l02_control;
import utilities.InputValue;

public class Factorial {

	public static void main(String[] args) {
		int n = InputValue.getInt("n");
		System.out.println(n + "! = " + factorial(n) + " " + factorialRecursion(n));
	}

	static long factorial(int n) {
		long f = 1;
		for (int i = 2; i <= n; i++) {
			f *= i;
		}
		return f;
	}

	static long factorialRecursion(int n) {
		if (n <= 1) return 1;
		return n * factorialRecursion(n - 1);
	}
}

