public class QuadraticEq {
	public static void main(String[] args) {

		double a = 25.0;
		double b = 30.0;
		double c = 9.0;
//		a /= 7.0;
//		b /= 7.0;
//		c /= 7.0;
		eq2(a, b, c);
	}

	static void eq2(double a, double b, double c) {
//		double x1, x2, delta, eps = 0.0;
		double x1, x2, delta, eps = 1e-10;
		if (Math.abs(a) < eps) {
			System.out.println ("a = 0.0");
			return;
		}
		delta = b*b - 4*a*c;
		System.out.format("delta = %.2e%n", delta);
		if (Math.abs(delta) < eps) {
			x1 = (-b) / (2*a);		
			System.out.format("x1 = %.2e%n", x1);
		} else if (delta > eps) {
			double sqrtDelta = Math.sqrt(delta);
			x1 = (-b - sqrtDelta) / (2*a);
			x2 = (-b + sqrtDelta) / (2*a);
			System.out.format("x1 = %.2e%n", x1);
			System.out.format("x2 = %.2e%n", x2);
		} else {
			System.out.println("delta < 0 --> no real solution");
		}
	}
}

