package l02_control;
import utilities.InputValue;

public class SwitchMonth {

	public static void main(String[] args) {
		int month = InputValue.getInt("month");
		int year = 0;
		if (month == 2) {
			year = InputValue.getInt("year");
		}
		enhancedSwitch(month, year);
	}

	private static void enhancedSwitch(int month, int year) {
		int numDays =
		switch (month) {
			case 1, 3, 5, 7, 8, 10, 12 -> 31;
			case 4, 6, 9, 11 -> 30;
			case 2 -> ((year % 4 == 0) && (year % 100 != 0) || (year % 400 == 0)) ? 29 : 28;
			default -> -1;
		};

		System.out.println(numDays == -1 ? "Wrong month number" :
			"month " + month + " has " + numDays + " days");
	}
}
							 
