package l02_control;
import utilities.InputValue;

public class StringSwitchDemo {

	public static int getMonthNumber(String month) {
		if (month == null) return 0;
		return switch (month.toLowerCase()) {
			case "january" -> 1;
			case "february" -> 2;
			case "march" -> 3;
			case "april" -> 4;
			case "may" -> 5;
			case "june" -> 6;
			case "july" -> 7;
			case "august" -> 8;
			case "september" -> 9;
			case "october" -> 10;
			case "november" -> 11;
			case "december" -> 12;
			default -> 0;
		};
	}

	public static void main(String[] args) {
		String month = InputValue.getString("month");
		int returnedMonthNumber = StringSwitchDemo.getMonthNumber(month);
		System.out.println(returnedMonthNumber == 0 ? "Invalid month" : returnedMonthNumber);
	}
}

